Bug 927323 - SELinux is preventing /usr/bin/bash from 'execute' accesses on the file /usr/sbin/httpd.
Summary: SELinux is preventing /usr/bin/bash from 'execute' accesses on the file /usr/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6ceb68847a99c9252d6ada8b677...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-25 16:26 UTC by Matthew Miller
Modified: 2013-04-19 05:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-19 05:53:50 UTC
Type: ---


Attachments (Terms of Use)

Description Matthew Miller 2013-03-25 16:26:23 UTC
Description of problem:
This happened during "sudo yum upgrade".
SELinux is preventing /usr/bin/bash from 'execute' accesses on the file /usr/sbin/httpd.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that bash should be allowed execute access on the httpd file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep certwatch /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:certwatch_t:s0-s0:c0.c1023
Target Context                system_u:object_r:httpd_exec_t:s0
Target Objects                /usr/sbin/httpd [ file ]
Source                        certwatch
Source Path                   /usr/bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.2.45-1.fc19.x86_64
Target RPM Packages           httpd-2.4.4-2.fc19.x86_64
Policy RPM                    selinux-policy-3.12.1-23.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.0-0.rc3.git1.3.fc19.x86_64 #1
                              SMP Thu Mar 21 15:01:11 UTC 2013 x86_64 x86_64
Alert Count                   7
First Seen                    2013-03-19 03:22:01 EDT
Last Seen                     2013-03-25 03:44:01 EDT
Local ID                      20750256-f416-402c-abbc-f024822b249b

Raw Audit Messages
type=AVC msg=audit(1364197441.394:1227): avc:  denied  { execute } for  pid=7232 comm="certwatch" name="httpd" dev="sda3" ino=2519596 scontext=system_u:system_r:certwatch_t:s0-s0:c0.c1023 tcontext=system_u:object_r:httpd_exec_t:s0 tclass=file


type=SYSCALL msg=audit(1364197441.394:1227): arch=x86_64 syscall=faccessat success=no exit=EACCES a0=ffffffffffffff9c a1=b5e5d0 a2=1 a3=8 items=0 ppid=7222 pid=7232 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=45 tty=(none) comm=certwatch exe=/usr/bin/bash subj=system_u:system_r:certwatch_t:s0-s0:c0.c1023 key=(null)

Hash: certwatch,certwatch_t,httpd_exec_t,file,execute

audit2allow

#============= certwatch_t ==============
allow certwatch_t httpd_exec_t:file execute;

audit2allow -R
require {
	type certwatch_t;
}

#============= certwatch_t ==============
apache_exec(certwatch_t)


Additional info:
hashmarkername: setroubleshoot
kernel:         3.9.0-0.rc3.git1.3.fc19.x86_64
type:           libreport

Potential duplicate: bug 894439

Comment 1 Daniel Walsh 2013-03-25 16:42:10 UTC
5d8af095198e8d98ce83ab4568ba08b7fc1b4f6b fixes this in git.

Comment 2 Fedora Update System 2013-04-08 11:42:41 UTC
selinux-policy-3.12.1-28.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19

Comment 3 Fedora Update System 2013-04-08 15:51:56 UTC
Package selinux-policy-3.12.1-28.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-28.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-19 05:53:52 UTC
selinux-policy-3.12.1-28.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.